aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/py3-businesstime/APKBUILD (renamed from testing/py-businesstime/APKBUILD)12
1 files changed, 7 insertions, 5 deletions
diff --git a/testing/py-businesstime/APKBUILD b/testing/py3-businesstime/APKBUILD
index b14217efeb..4830253fc6 100644
--- a/testing/py-businesstime/APKBUILD
+++ b/testing/py3-businesstime/APKBUILD
@@ -1,6 +1,6 @@
# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
-pkgname=py-businesstime
+pkgname=py3-businesstime
_pkgname=businesstime
pkgver=0.1.4
pkgrel=0
@@ -8,9 +8,11 @@ pkgdesc="A Python utility for calculating business time between two datetimes"
url="https://github.com/seatgeek/businesstime"
arch="noarch"
license="BSD"
-depends="python2"
+provides="py-businesstime" # for backwards compatibility
+replaces="py-businesstime=$pkgver-r$pkgrel" # for backwards compatibility
+depends="python3"
depends_dev=""
-makedepends="python2-dev py-setuptools"
+makedepends="python3-dev py3-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
@@ -28,12 +30,12 @@ prepare() {
build() {
cd "$_builddir"
- python2 setup.py build || return 1
+ python3 setup.py build || return 1
}
package() {
cd "$_builddir"
- python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
md5sums="6bba38b1f60d4a4d6c49ef9a0ef6a3ec businesstime-0.1.4.tar.gz"